[android-components](../../index.md) / [mozilla.components.feature.toolbar](../index.md) / [WebExtensionToolbarAction](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`WebExtensionToolbarAction(action: `[`WebExtensionBrowserAction`](../../mozilla.components.concept.engine.webextension/-web-extension-browser-action.md)`, padding: `[`Padding`](../../mozilla.components.support.base.android/-padding/index.md)`? = null, iconJobDispatcher: CoroutineDispatcher, listener: () -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`)`

An action button that represents an web extension item to be added to the toolbar.

### Parameters

`action` - Associated [WebExtensionBrowserAction](../../mozilla.components.concept.engine.webextension/-web-extension-browser-action.md)

`listener` - Callback that will be invoked whenever the button is pressed